def look_at_obj(self, objecttype):
    # Check if the agent is already holding the object
    if self.name2type(self.holding)!= self.name2type(objecttype):
        # Find the object
        entity = self.find_object(objecttype)
        if entity is None:
            # Explore the environment to find the object
            self.explore()
            return
        else:
            # Go to the object's receptacle and take it
            self.goto(entity.in_on)
            r_entity = self.seen_entitys[entity.in_on]
            if r_entity.openable and not r_entity.isopen:
                self.open_receptacle(r_entity.name)
            self.take(entity.name, entity.in_on)
            return
    else:
        # Go to a desk lamp and turn it on
        desk_lamp = self.find_receptacle('desklamp')
        if desk_lamp is None:
            # Explore the environment to find a desk lamp
            self.explore()
            return
        else:
            self.goto(desk_lamp.name)
            self.turn_on(desk_lamp.name)
            return